AMLSM(4)

NAME
amlsm - Amlogic secure monitor

SYNOPSIS
amlsm* at fdt?

DESCRIPTION
The amlsm driver provides support for the secure monitor firmware interface on various Amlogic SOCs. It uses this interface to read the chip ID of the SoC and feeds it to the random subsystem's entropy pool.

SEE ALSO
intro(4), random(4)

HISTORY
The amlsm device driver first appeared in OpenBSD 6.7.

AUTHORS
-nosplit The amlsm driver was written by Mark Kettenis kettenis@openbsd.org.